/*
 * Vifir - An electronic flight bag wannabe utility for aircraft pilots
 * Copyright (C) 2009 David Ludlow
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * dave@adsllc.com, PO Box 13070, Toledo, OH 43623
 */

#ifndef ONSCREENKEYPAD_H_
#define ONSCREENKEYPAD_H_

#include <libglademm.h>
#include <gtkmm/container.h>
#include <gtkmm/button.h>
#include <gtkmm/entry.h>
#include <vector>

class OnScreenKeypad : public Gtk::Container {
public:
	OnScreenKeypad();
	virtual ~OnScreenKeypad();

	virtual void on_size_request(Gtk::Requisition* requisition);
	virtual void on_size_allocate(Gtk::Allocation& allocation);
	virtual void forall_vfunc(gboolean include_internals, GtkCallback callback, gpointer callback_data);
	virtual void on_add(Gtk::Button* child);
	virtual void on_remove(Gtk::Button* child);
	virtual GtkType child_type_vfunc() const;
	void set_target(Gtk::Entry *target);

private:
	std::vector<Gtk::Button*> KeyButtons;
	void on_Key_clicked(Glib::ustring Text);

	Gtk::Entry *Target;
};

#endif /* ONSCREENKEYPAD_H_ */
